# DataExchange
TKXSBase
XSControl

# XSControl_ConnectedShapes Class Reference

From a TopoDS_Shape, or from the entity which has produced it,
searches for the shapes, and the entities which have produced
them in last transfer, which are adjacent to it by VERTICES
.

`#include <XSControl_ConnectedShapes.hxx>`

Inheritance diagram for XSControl_ConnectedShapes:

[legend]

## Public Member Functions

Standard_EXPORT | XSControl_ConnectedShapes ()
| Creates a Selection ConnectedShapes. It remains to be set a TransferReader .
Standard_EXPORT | XSControl_ConnectedShapes (const Handle(XSControl_TransferReader)&TR)
| Creates a Selection ConnectedShapes, which will work with the current TransferProcess brought by the TransferReader .
Standard_EXPORT void | SetReader (const Handle(XSControl_TransferReader)&TR)
| Sets a TransferReader to sort entities : it brings the TransferProcess which may change, while the TransferReader does not .
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity : entities from which are connected to that produced by this entity, including itself .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium. "Connected Entities through produced Shapes" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TColStd_HSequenceOfTransient | AdjacentEntities (const TopoDS_Shape &ashape, const Handle(Transfer_TransientProcess)&TP, const TopAbs_ShapeEnum type)
| This functions considers a shape from a transfer and performs the search function explained above .

## Private Attributes

Handle_XSControl_TransferReader | theTR

## Constructor & Destructor Documentation

Standard_EXPORT XSControl_ConnectedShapes::XSControl_ConnectedShapes | ( |  | ) |

Standard_EXPORT XSControl_ConnectedShapes::XSControl_ConnectedShapes | ( | const Handle(XSControl_TransferReader)& | TR | ) |

## Member Function Documentation

static Standard_EXPORT Handle_TColStd_HSequenceOfTransient XSControl_ConnectedShapes::AdjacentEntities | ( | const TopoDS_Shape & | ashape,
|  | const Handle(Transfer_TransientProcess)& | TP,
|  | const TopAbs_ShapeEnum | type
| ) | `[static]`

Standard_EXPORT Standard_Boolean XSControl_ConnectedShapes::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString XSControl_ConnectedShapes::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const XSControl_ConnectedShapes::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

Standard_EXPORT void XSControl_ConnectedShapes::SetReader | ( | const Handle(XSControl_TransferReader)& | TR | ) |

## Field Documentation

Handle_XSControl_TransferReader XSControl_ConnectedShapes::theTR `[private]`

The documentation for this class was generated from the following file:

- XSControl_ConnectedShapes.hxx